Subject: bug#7390: 24.0.50; pos-col-row gives incorrect row

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Nov 2010 21:02:13 +0200

> Resent-Sender: [email-masked]
> From: "Drew Adams" <[email-masked]>
> Date: Sat, 13 Nov 2010 09:55:15 -0800
> Cc: 
> 
> emacs -Q
>  
> Load David Ponce's tabbar.el version 1.3, from here:
> http://sourceforge.net/projects/emhacks/files/tabbar/1.3/tabbar-1.3.tar.gz/downl
> oad
>  
> M-x tabbar-mode
>  
> That adds a tab bar to each window.  I don't see anything in the
> tabbar.el code that should perturb the behavior of pos-col-row, but
> something does.  I'm no expert on the tabbar code or pos-col-row.  I
> hope that someone can debug this and fix it.  My guess is that
> pos-col-row is incorrectly thinking that the tab bar is part of the
> buffer.
>  
> The easiest way to see the problem is to do this:
>  
> M-x picture-mode
>  
> Click mouse-1 somewhere - e.g. the fourth char in some buffer.  The
> result is that the cursor (point) is moved down one line from where you
> clicked, so the active region shows from the click position to point
> (one line down).

As a matter of fact, this problem is present in Emacs 23.2 as well,
and in the current pretest of Emacs 23.3.

An easier way to reproduce is this:

  emacs -Q
  C-x b foo RET
  M-: (setq header-line-format "foo") RET
  M-x picture-mode RET

Now type 2 lines of text, and click the mouse on the first line.